<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: ExpansionSettings Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d5/df5/a01375.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="#pri-static-attribs">Static Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">ExpansionSettings Class Reference</div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:af4016debfdf90ac69a22e094e5cce5c0"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/df5/a01375.html#af4016debfdf90ac69a22e094e5cce5c0">Init</a> ()</td></tr>
<tr class="separator:af4016debfdf90ac69a22e094e5cce5c0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9eca8055718378307d97df28f6b0734f"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/df5/a01375.html#a9eca8055718378307d97df28f6b0734f">OnRPC</a> (PlayerIdentity sender, Object target, int rpc_type, ParamsReadContext ctx)</td></tr>
<tr class="separator:a9eca8055718378307d97df28f6b0734f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3f42ded927d7b038a92531a056f6cdf4"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/dbc/a03159.html">ExpansionBaseBuildingSettings</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/df5/a01375.html#a3f42ded927d7b038a92531a056f6cdf4">GetBaseBuilding</a> (bool checkLoaded=true)</td></tr>
<tr class="separator:a3f42ded927d7b038a92531a056f6cdf4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af1efd09a45029d622fbbdb9eee9c0c9a"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../de/dfe/a01383.html">ExpansionRaidSettings</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/df5/a01375.html#af1efd09a45029d622fbbdb9eee9c0c9a">GetRaid</a> (bool checkLoaded=true)</td></tr>
<tr class="separator:af1efd09a45029d622fbbdb9eee9c0c9a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad1f00355020ec2c92c96658beafd47e5"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d0/da2/a03163.html">ExpansionTerritorySettings</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/df5/a01375.html#ad1f00355020ec2c92c96658beafd47e5">GetTerritory</a> (bool checkLoaded=true)</td></tr>
<tr class="separator:ad1f00355020ec2c92c96658beafd47e5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af4016debfdf90ac69a22e094e5cce5c0"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/df5/a01375.html#af4016debfdf90ac69a22e094e5cce5c0">Init</a> ()</td></tr>
<tr class="separator:af4016debfdf90ac69a22e094e5cce5c0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9eca8055718378307d97df28f6b0734f"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/df5/a01375.html#a9eca8055718378307d97df28f6b0734f">OnRPC</a> (PlayerIdentity sender, Object target, int rpc_type, ParamsReadContext ctx)</td></tr>
<tr class="separator:a9eca8055718378307d97df28f6b0734f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aac7d4296b93122748801465c3f0c3819"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../db/d4b/a01883.html">ExpansionBookSettings</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/df5/a01375.html#aac7d4296b93122748801465c3f0c3819">GetBook</a> (bool checkLoaded=true)</td></tr>
<tr class="separator:aac7d4296b93122748801465c3f0c3819"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af4016debfdf90ac69a22e094e5cce5c0"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/df5/a01375.html#af4016debfdf90ac69a22e094e5cce5c0">Init</a> ()</td></tr>
<tr class="separator:af4016debfdf90ac69a22e094e5cce5c0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9eca8055718378307d97df28f6b0734f"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/df5/a01375.html#a9eca8055718378307d97df28f6b0734f">OnRPC</a> (PlayerIdentity sender, Object target, int rpc_type, ParamsReadContext ctx)</td></tr>
<tr class="separator:a9eca8055718378307d97df28f6b0734f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4726920c5f445995ddd3e21d10e101db"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d1/d90/a02127.html">ExpansionChatSettings</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/df5/a01375.html#a4726920c5f445995ddd3e21d10e101db">GetChat</a> (bool checkLoaded=true)</td></tr>
<tr class="separator:a4726920c5f445995ddd3e21d10e101db"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a619ea8f5d355cfb5af38eddfe60f870d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/df5/a01375.html#a619ea8f5d355cfb5af38eddfe60f870d">ServerInit</a> ()</td></tr>
<tr class="separator:a619ea8f5d355cfb5af38eddfe60f870d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0280a4f9feaec09bb75b5b2823a73211"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/df5/a01375.html#a0280a4f9feaec09bb75b5b2823a73211">Unload</a> ()</td></tr>
<tr class="separator:a0280a4f9feaec09bb75b5b2823a73211"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a13b9a34b29422ab5863534f00a6ff253"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/df5/a01375.html#a13b9a34b29422ab5863534f00a6ff253">Load</a> (<a class="el" href="../../dd/d1b/a02351.html">ExpansionSettingBase</a> setting)</td></tr>
<tr class="separator:a13b9a34b29422ab5863534f00a6ff253"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa43ac50876b69fd8c52a1f8d8121fbf2"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/df5/a01375.html#aa43ac50876b69fd8c52a1f8d8121fbf2">IsLoaded</a> (typename type)</td></tr>
<tr class="separator:aa43ac50876b69fd8c52a1f8d8121fbf2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6b7eb9ba1ce8a6fde8760e8ebde93bf9"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/df5/a01375.html#a6b7eb9ba1ce8a6fde8760e8ebde93bf9">Init</a> ()</td></tr>
<tr class="separator:a6b7eb9ba1ce8a6fde8760e8ebde93bf9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9fd3eee00d5d6c31386c5d03ad6130f7"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/df5/a01375.html#a9fd3eee00d5d6c31386c5d03ad6130f7">Init</a> (typename type)</td></tr>
<tr class="separator:a9fd3eee00d5d6c31386c5d03ad6130f7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a30315a7284032b9f906572ed556d5d3f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/df5/a01375.html#a30315a7284032b9f906572ed556d5d3f">GameInit</a> ()</td></tr>
<tr class="separator:a30315a7284032b9f906572ed556d5d3f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1123b40e5452576d01e6509e71a95a7b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/df5/a01375.html#a1123b40e5452576d01e6509e71a95a7b">Send</a> (notnull PlayerIdentity identity)</td></tr>
<tr class="separator:a1123b40e5452576d01e6509e71a95a7b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2263d93143be0fa48e0ae323017fbe11"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/df5/a01375.html#a2263d93143be0fa48e0ae323017fbe11">OnRPC</a> (PlayerIdentity sender, Object target, int rpc_type, ParamsReadContext ctx)</td></tr>
<tr class="separator:a2263d93143be0fa48e0ae323017fbe11"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae0d784a7a41318be659b98eed9d58148"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/df5/a01375.html#ae0d784a7a41318be659b98eed9d58148">Receive</a> (typename type, ParamsReadContext ctx)</td></tr>
<tr class="separator:ae0d784a7a41318be659b98eed9d58148"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adb5f0b023b22017d64d71ba128c0eb40"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/df5/a01375.html#adb5f0b023b22017d64d71ba128c0eb40">Save</a> ()</td></tr>
<tr class="separator:adb5f0b023b22017d64d71ba128c0eb40"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af3c4b37bc898eb65320c638f599bb0ed"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../dd/d1b/a02351.html">ExpansionSettingBase</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/df5/a01375.html#af3c4b37bc898eb65320c638f599bb0ed">Get</a> (typename type, bool checkLoaded=true)</td></tr>
<tr class="separator:af3c4b37bc898eb65320c638f599bb0ed"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7061a466f87c7a35a05e12a11979333e"><td class="memItemLeft" align="right" valign="top">private void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/df5/a01375.html#a7061a466f87c7a35a05e12a11979333e">WarnNotLoaded</a> (typename type)</td></tr>
<tr class="separator:a7061a466f87c7a35a05e12a11979333e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa4246c7fad69ffd959190a448a73797c"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../da/db3/a02343.html">ExpansionDebugSettings</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/df5/a01375.html#aa4246c7fad69ffd959190a448a73797c">GetDebug</a> (bool checkLoaded=true)</td></tr>
<tr class="separator:aa4246c7fad69ffd959190a448a73797c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1eb9f973eaeefbb8868edb6e23ec9c77"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/d5e/a02355.html">ExpansionLogSettings</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/df5/a01375.html#a1eb9f973eaeefbb8868edb6e23ec9c77">GetLog</a> (bool checkLoaded=true)</td></tr>
<tr class="separator:a1eb9f973eaeefbb8868edb6e23ec9c77"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab26eb810cd1b88bb23c7df5512bb3e98"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../db/dd4/a02383.html">ExpansionSafeZoneSettings</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/df5/a01375.html#ab26eb810cd1b88bb23c7df5512bb3e98">GetSafeZone</a> (bool checkLoaded=true)</td></tr>
<tr class="separator:ab26eb810cd1b88bb23c7df5512bb3e98"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a408085a13fb22a0489cf842ce3e1cb5e"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../de/d19/a03311.html">ExpansionNotificationSettings</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/df5/a01375.html#a408085a13fb22a0489cf842ce3e1cb5e">GetNotification</a> (bool checkLoaded=true)</td></tr>
<tr class="separator:a408085a13fb22a0489cf842ce3e1cb5e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afe2842b8456e4f4c352a6a984810ca3f"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/d8c/a02359.html">ExpansionMonitoringSettings</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/df5/a01375.html#afe2842b8456e4f4c352a6a984810ca3f">GetMonitoring</a> (bool checkLoaded=true)</td></tr>
<tr class="separator:afe2842b8456e4f4c352a6a984810ca3f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2a9d6f1e022e151e90082b23ac164716"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d2/da6/a02339.html">ExpansionDamageSystemSettings</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/df5/a01375.html#a2a9d6f1e022e151e90082b23ac164716">GetDamageSystem</a> (bool checkLoaded=true)</td></tr>
<tr class="separator:a2a9d6f1e022e151e90082b23ac164716"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a4d5d5e5c3029cf3ee99b2901e42c6f1d"><td class="memItemLeft" align="right" valign="top">protected bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/df5/a01375.html#a4d5d5e5c3029cf3ee99b2901e42c6f1d">m_GameInit</a> = false</td></tr>
<tr class="separator:a4d5d5e5c3029cf3ee99b2901e42c6f1d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaea12eaa2e5814caec4df8fb25b8319f"><td class="memItemLeft" align="right" valign="top">protected ref map&lt; typename, ref <a class="el" href="../../dd/d1b/a02351.html">ExpansionSettingBase</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/df5/a01375.html#aaea12eaa2e5814caec4df8fb25b8319f">m_Settings</a> = new map&lt;typename, ref <a class="el" href="../../dd/d1b/a02351.html">ExpansionSettingBase</a>&gt;</td></tr>
<tr class="separator:aaea12eaa2e5814caec4df8fb25b8319f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a88efd4446696d59e21faf8da993f40e3"><td class="memItemLeft" align="right" valign="top">protected autoptr array&lt; <a class="el" href="../../dd/d1b/a02351.html">ExpansionSettingBase</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/df5/a01375.html#a88efd4446696d59e21faf8da993f40e3">m_SettingsOrdered</a> = new array&lt;<a class="el" href="../../dd/d1b/a02351.html">ExpansionSettingBase</a>&gt;</td></tr>
<tr class="separator:a88efd4446696d59e21faf8da993f40e3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeeb350342c7dc5e514d25bb6d13226b5"><td class="memItemLeft" align="right" valign="top">protected ref map&lt; typename, int &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/df5/a01375.html#aeeb350342c7dc5e514d25bb6d13226b5">m_Warnings</a> = new map&lt;typename, int&gt;</td></tr>
<tr class="separator:aeeb350342c7dc5e514d25bb6d13226b5"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-static-attribs" name="pri-static-attribs"></a>
Static Private Attributes</h2></td></tr>
<tr class="memitem:a135a11395b8cb7102b94e99d92a59850"><td class="memItemLeft" align="right" valign="top">static ref ScriptInvoker&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/df5/a01375.html#a135a11395b8cb7102b94e99d92a59850">SI_BaseBuilding</a> = new ScriptInvoker()</td></tr>
<tr class="separator:a135a11395b8cb7102b94e99d92a59850"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab94883943c251777558d8a4b71600ad6"><td class="memItemLeft" align="right" valign="top">static ref ScriptInvoker&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/df5/a01375.html#ab94883943c251777558d8a4b71600ad6">SI_Raid</a> = new ScriptInvoker()</td></tr>
<tr class="separator:ab94883943c251777558d8a4b71600ad6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a68af41afaace4a3d8ee3474d30d1a1f1"><td class="memItemLeft" align="right" valign="top">static ref ScriptInvoker&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/df5/a01375.html#a68af41afaace4a3d8ee3474d30d1a1f1">SI_Territory</a> = new ScriptInvoker()</td></tr>
<tr class="separator:a68af41afaace4a3d8ee3474d30d1a1f1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7b1c0169228748e47c494beb0eb2bd81"><td class="memItemLeft" align="right" valign="top">static ref ScriptInvoker&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/df5/a01375.html#a7b1c0169228748e47c494beb0eb2bd81">SI_Book</a> = new ScriptInvoker()</td></tr>
<tr class="separator:a7b1c0169228748e47c494beb0eb2bd81"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a269a0005757f7ab791bcaac0e46e46e2"><td class="memItemLeft" align="right" valign="top">static ref ScriptInvoker&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/df5/a01375.html#a269a0005757f7ab791bcaac0e46e46e2">SI_Chat</a> = new ScriptInvoker()</td></tr>
<tr class="separator:a269a0005757f7ab791bcaac0e46e46e2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a520fb97a79069f1b78b47a3f4a4662fc"><td class="memItemLeft" align="right" valign="top">static ref ScriptInvoker&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/df5/a01375.html#a520fb97a79069f1b78b47a3f4a4662fc">SI_Debug</a> = new ScriptInvoker()</td></tr>
<tr class="separator:a520fb97a79069f1b78b47a3f4a4662fc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8be10a4d1adae156b3c70b3d53aadde4"><td class="memItemLeft" align="right" valign="top">static ref ScriptInvoker&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/df5/a01375.html#a8be10a4d1adae156b3c70b3d53aadde4">SI_Log</a> = new ScriptInvoker()</td></tr>
<tr class="separator:a8be10a4d1adae156b3c70b3d53aadde4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a01732fe9a1004d05bf2f800b795d5264"><td class="memItemLeft" align="right" valign="top">static ref ScriptInvoker&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/df5/a01375.html#a01732fe9a1004d05bf2f800b795d5264">SI_SafeZone</a> = new ScriptInvoker()</td></tr>
<tr class="separator:a01732fe9a1004d05bf2f800b795d5264"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acbdf65f6797e2926ba0078f63c2bd7aa"><td class="memItemLeft" align="right" valign="top">static ref ScriptInvoker&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/df5/a01375.html#acbdf65f6797e2926ba0078f63c2bd7aa">SI_Notification</a> = new ScriptInvoker()</td></tr>
<tr class="separator:acbdf65f6797e2926ba0078f63c2bd7aa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8fccdd9e470e77f4212b1bfb2b1e98cb"><td class="memItemLeft" align="right" valign="top">static ref ScriptInvoker&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/df5/a01375.html#a8fccdd9e470e77f4212b1bfb2b1e98cb">SI_DamageSystem</a> = new ScriptInvoker()</td></tr>
<tr class="separator:a8fccdd9e470e77f4212b1bfb2b1e98cb"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >ExpansionSettings.c</p>
<p >DayZ Expansion Mod www.dayzexpansion.com © 2022 DayZ Expansion Mod Team</p>
<p >This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. To view a copy of this license, visit <a href="http://creativecommons.org/licenses/by-nc-nd/4.0/">http://creativecommons.org/licenses/by-nc-nd/4.0/</a>. </p>

<p class="definition">Definition at line <a class="el" href="../../d0/d58/a03393_source.html#l00013">13</a> of file <a class="el" href="../../d0/d58/a03393_source.html">expansionsettings.c</a>.</p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="a30315a7284032b9f906572ed556d5d3f" name="a30315a7284032b9f906572ed556d5d3f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a30315a7284032b9f906572ed556d5d3f">&#9670;&#160;</a></span>GameInit()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionSettings::GameInit </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/d96/a03402_source.html#l00098">98</a> of file <a class="el" href="../../df/d96/a03402_source.html">expansionsettings.c</a>.</p>

</div>
</div>
<a id="af3c4b37bc898eb65320c638f599bb0ed" name="af3c4b37bc898eb65320c638f599bb0ed"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af3c4b37bc898eb65320c638f599bb0ed">&#9670;&#160;</a></span>Get()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../dd/d1b/a02351.html">ExpansionSettingBase</a> ExpansionSettings::Get </td>
          <td>(</td>
          <td class="paramtype">typename type&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>checkLoaded</em> = <code>true</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/d96/a03402_source.html#l00190">190</a> of file <a class="el" href="../../df/d96/a03402_source.html">expansionsettings.c</a>.</p>

</div>
</div>
<a id="a3f42ded927d7b038a92531a056f6cdf4" name="a3f42ded927d7b038a92531a056f6cdf4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3f42ded927d7b038a92531a056f6cdf4">&#9670;&#160;</a></span>GetBaseBuilding()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/dbc/a03159.html">ExpansionBaseBuildingSettings</a> ExpansionSettings::GetBaseBuilding </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>checkLoaded</em> = <code>true</code></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/d58/a03393_source.html#l00064">64</a> of file <a class="el" href="../../d0/d58/a03393_source.html">expansionsettings.c</a>.</p>

</div>
</div>
<a id="aac7d4296b93122748801465c3f0c3819" name="aac7d4296b93122748801465c3f0c3819"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aac7d4296b93122748801465c3f0c3819">&#9670;&#160;</a></span>GetBook()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../db/d4b/a01883.html">ExpansionBookSettings</a> ExpansionSettings::GetBook </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>checkLoaded</em> = <code>true</code></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/dc2/a03396_source.html#l00052">52</a> of file <a class="el" href="../../d3/dc2/a03396_source.html">expansionsettings.c</a>.</p>

</div>
</div>
<a id="a4726920c5f445995ddd3e21d10e101db" name="a4726920c5f445995ddd3e21d10e101db"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4726920c5f445995ddd3e21d10e101db">&#9670;&#160;</a></span>GetChat()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d1/d90/a02127.html">ExpansionChatSettings</a> ExpansionSettings::GetChat </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>checkLoaded</em> = <code>true</code></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/d87/a03399_source.html#l00044">44</a> of file <a class="el" href="../../d0/d87/a03399_source.html">expansionsettings.c</a>.</p>

</div>
</div>
<a id="a2a9d6f1e022e151e90082b23ac164716" name="a2a9d6f1e022e151e90082b23ac164716"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2a9d6f1e022e151e90082b23ac164716">&#9670;&#160;</a></span>GetDamageSystem()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d2/da6/a02339.html">ExpansionDamageSystemSettings</a> ExpansionSettings::GetDamageSystem </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>checkLoaded</em> = <code>true</code></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/d96/a03402_source.html#l00246">246</a> of file <a class="el" href="../../df/d96/a03402_source.html">expansionsettings.c</a>.</p>

</div>
</div>
<a id="aa4246c7fad69ffd959190a448a73797c" name="aa4246c7fad69ffd959190a448a73797c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa4246c7fad69ffd959190a448a73797c">&#9670;&#160;</a></span>GetDebug()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../da/db3/a02343.html">ExpansionDebugSettings</a> ExpansionSettings::GetDebug </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>checkLoaded</em> = <code>true</code></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/d96/a03402_source.html#l00221">221</a> of file <a class="el" href="../../df/d96/a03402_source.html">expansionsettings.c</a>.</p>

</div>
</div>
<a id="a1eb9f973eaeefbb8868edb6e23ec9c77" name="a1eb9f973eaeefbb8868edb6e23ec9c77"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1eb9f973eaeefbb8868edb6e23ec9c77">&#9670;&#160;</a></span>GetLog()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/d5e/a02355.html">ExpansionLogSettings</a> ExpansionSettings::GetLog </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>checkLoaded</em> = <code>true</code></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/d96/a03402_source.html#l00226">226</a> of file <a class="el" href="../../df/d96/a03402_source.html">expansionsettings.c</a>.</p>

</div>
</div>
<a id="afe2842b8456e4f4c352a6a984810ca3f" name="afe2842b8456e4f4c352a6a984810ca3f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afe2842b8456e4f4c352a6a984810ca3f">&#9670;&#160;</a></span>GetMonitoring()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/d8c/a02359.html">ExpansionMonitoringSettings</a> ExpansionSettings::GetMonitoring </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>checkLoaded</em> = <code>true</code></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/d96/a03402_source.html#l00241">241</a> of file <a class="el" href="../../df/d96/a03402_source.html">expansionsettings.c</a>.</p>

</div>
</div>
<a id="a408085a13fb22a0489cf842ce3e1cb5e" name="a408085a13fb22a0489cf842ce3e1cb5e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a408085a13fb22a0489cf842ce3e1cb5e">&#9670;&#160;</a></span>GetNotification()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../de/d19/a03311.html">ExpansionNotificationSettings</a> ExpansionSettings::GetNotification </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>checkLoaded</em> = <code>true</code></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/d96/a03402_source.html#l00236">236</a> of file <a class="el" href="../../df/d96/a03402_source.html">expansionsettings.c</a>.</p>

</div>
</div>
<a id="af1efd09a45029d622fbbdb9eee9c0c9a" name="af1efd09a45029d622fbbdb9eee9c0c9a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af1efd09a45029d622fbbdb9eee9c0c9a">&#9670;&#160;</a></span>GetRaid()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../de/dfe/a01383.html">ExpansionRaidSettings</a> ExpansionSettings::GetRaid </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>checkLoaded</em> = <code>true</code></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/d58/a03393_source.html#l00069">69</a> of file <a class="el" href="../../d0/d58/a03393_source.html">expansionsettings.c</a>.</p>

</div>
</div>
<a id="ab26eb810cd1b88bb23c7df5512bb3e98" name="ab26eb810cd1b88bb23c7df5512bb3e98"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab26eb810cd1b88bb23c7df5512bb3e98">&#9670;&#160;</a></span>GetSafeZone()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../db/dd4/a02383.html">ExpansionSafeZoneSettings</a> ExpansionSettings::GetSafeZone </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>checkLoaded</em> = <code>true</code></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/d96/a03402_source.html#l00231">231</a> of file <a class="el" href="../../df/d96/a03402_source.html">expansionsettings.c</a>.</p>

</div>
</div>
<a id="ad1f00355020ec2c92c96658beafd47e5" name="ad1f00355020ec2c92c96658beafd47e5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad1f00355020ec2c92c96658beafd47e5">&#9670;&#160;</a></span>GetTerritory()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d0/da2/a03163.html">ExpansionTerritorySettings</a> ExpansionSettings::GetTerritory </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>checkLoaded</em> = <code>true</code></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/d58/a03393_source.html#l00074">74</a> of file <a class="el" href="../../d0/d58/a03393_source.html">expansionsettings.c</a>.</p>

</div>
</div>
<a id="af4016debfdf90ac69a22e094e5cce5c0" name="af4016debfdf90ac69a22e094e5cce5c0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af4016debfdf90ac69a22e094e5cce5c0">&#9670;&#160;</a></span>Init() <span class="overload">[1/5]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ExpansionSettings::Init </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/d58/a03393_source.html#l00019">19</a> of file <a class="el" href="../../d0/d58/a03393_source.html">expansionsettings.c</a>.</p>

</div>
</div>
<a id="af4016debfdf90ac69a22e094e5cce5c0" name="af4016debfdf90ac69a22e094e5cce5c0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af4016debfdf90ac69a22e094e5cce5c0">&#9670;&#160;</a></span>Init() <span class="overload">[2/5]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ExpansionSettings::Init </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/dc2/a03396_source.html#l00017">17</a> of file <a class="el" href="../../d3/dc2/a03396_source.html">expansionsettings.c</a>.</p>

</div>
</div>
<a id="af4016debfdf90ac69a22e094e5cce5c0" name="af4016debfdf90ac69a22e094e5cce5c0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af4016debfdf90ac69a22e094e5cce5c0">&#9670;&#160;</a></span>Init() <span class="overload">[3/5]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ExpansionSettings::Init </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/d87/a03399_source.html#l00017">17</a> of file <a class="el" href="../../d0/d87/a03399_source.html">expansionsettings.c</a>.</p>

</div>
</div>
<a id="a6b7eb9ba1ce8a6fde8760e8ebde93bf9" name="a6b7eb9ba1ce8a6fde8760e8ebde93bf9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6b7eb9ba1ce8a6fde8760e8ebde93bf9">&#9670;&#160;</a></span>Init() <span class="overload">[4/5]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionSettings::Init </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/d96/a03402_source.html#l00076">76</a> of file <a class="el" href="../../df/d96/a03402_source.html">expansionsettings.c</a>.</p>

</div>
</div>
<a id="a9fd3eee00d5d6c31386c5d03ad6130f7" name="a9fd3eee00d5d6c31386c5d03ad6130f7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9fd3eee00d5d6c31386c5d03ad6130f7">&#9670;&#160;</a></span>Init() <span class="overload">[5/5]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionSettings::Init </td>
          <td>(</td>
          <td class="paramtype">typename type&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/d96/a03402_source.html#l00088">88</a> of file <a class="el" href="../../df/d96/a03402_source.html">expansionsettings.c</a>.</p>

</div>
</div>
<a id="aa43ac50876b69fd8c52a1f8d8121fbf2" name="aa43ac50876b69fd8c52a1f8d8121fbf2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa43ac50876b69fd8c52a1f8d8121fbf2">&#9670;&#160;</a></span>IsLoaded()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool ExpansionSettings::IsLoaded </td>
          <td>(</td>
          <td class="paramtype">typename type&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/d96/a03402_source.html#l00064">64</a> of file <a class="el" href="../../df/d96/a03402_source.html">expansionsettings.c</a>.</p>

</div>
</div>
<a id="a13b9a34b29422ab5863534f00a6ff253" name="a13b9a34b29422ab5863534f00a6ff253"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a13b9a34b29422ab5863534f00a6ff253">&#9670;&#160;</a></span>Load()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionSettings::Load </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../dd/d1b/a02351.html">ExpansionSettingBase</a>&#160;</td>
          <td class="paramname"><em>setting</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/d96/a03402_source.html#l00049">49</a> of file <a class="el" href="../../df/d96/a03402_source.html">expansionsettings.c</a>.</p>

</div>
</div>
<a id="a9eca8055718378307d97df28f6b0734f" name="a9eca8055718378307d97df28f6b0734f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9eca8055718378307d97df28f6b0734f">&#9670;&#160;</a></span>OnRPC() <span class="overload">[1/4]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override bool ExpansionSettings::OnRPC </td>
          <td>(</td>
          <td class="paramtype">PlayerIdentity&#160;</td>
          <td class="paramname"><em>sender</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Object&#160;</td>
          <td class="paramname"><em>target</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>rpc_type</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">ParamsReadContext&#160;</td>
          <td class="paramname"><em>ctx</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/d58/a03393_source.html#l00028">28</a> of file <a class="el" href="../../d0/d58/a03393_source.html">expansionsettings.c</a>.</p>

</div>
</div>
<a id="a9eca8055718378307d97df28f6b0734f" name="a9eca8055718378307d97df28f6b0734f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9eca8055718378307d97df28f6b0734f">&#9670;&#160;</a></span>OnRPC() <span class="overload">[2/4]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override bool ExpansionSettings::OnRPC </td>
          <td>(</td>
          <td class="paramtype">PlayerIdentity&#160;</td>
          <td class="paramname"><em>sender</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Object&#160;</td>
          <td class="paramname"><em>target</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>rpc_type</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">ParamsReadContext&#160;</td>
          <td class="paramname"><em>ctx</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/dc2/a03396_source.html#l00028">28</a> of file <a class="el" href="../../d3/dc2/a03396_source.html">expansionsettings.c</a>.</p>

</div>
</div>
<a id="a9eca8055718378307d97df28f6b0734f" name="a9eca8055718378307d97df28f6b0734f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9eca8055718378307d97df28f6b0734f">&#9670;&#160;</a></span>OnRPC() <span class="overload">[3/4]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override bool ExpansionSettings::OnRPC </td>
          <td>(</td>
          <td class="paramtype">PlayerIdentity&#160;</td>
          <td class="paramname"><em>sender</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Object&#160;</td>
          <td class="paramname"><em>target</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>rpc_type</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">ParamsReadContext&#160;</td>
          <td class="paramname"><em>ctx</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/d87/a03399_source.html#l00024">24</a> of file <a class="el" href="../../d0/d87/a03399_source.html">expansionsettings.c</a>.</p>

</div>
</div>
<a id="a2263d93143be0fa48e0ae323017fbe11" name="a2263d93143be0fa48e0ae323017fbe11"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2263d93143be0fa48e0ae323017fbe11">&#9670;&#160;</a></span>OnRPC() <span class="overload">[4/4]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool ExpansionSettings::OnRPC </td>
          <td>(</td>
          <td class="paramtype">PlayerIdentity&#160;</td>
          <td class="paramname"><em>sender</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Object&#160;</td>
          <td class="paramname"><em>target</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>rpc_type</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">ParamsReadContext&#160;</td>
          <td class="paramname"><em>ctx</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/d96/a03402_source.html#l00131">131</a> of file <a class="el" href="../../df/d96/a03402_source.html">expansionsettings.c</a>.</p>

</div>
</div>
<a id="ae0d784a7a41318be659b98eed9d58148" name="ae0d784a7a41318be659b98eed9d58148"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae0d784a7a41318be659b98eed9d58148">&#9670;&#160;</a></span>Receive()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionSettings::Receive </td>
          <td>(</td>
          <td class="paramtype">typename type&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">ParamsReadContext&#160;</td>
          <td class="paramname"><em>ctx</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/d96/a03402_source.html#l00164">164</a> of file <a class="el" href="../../df/d96/a03402_source.html">expansionsettings.c</a>.</p>

</div>
</div>
<a id="adb5f0b023b22017d64d71ba128c0eb40" name="adb5f0b023b22017d64d71ba128c0eb40"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adb5f0b023b22017d64d71ba128c0eb40">&#9670;&#160;</a></span>Save()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionSettings::Save </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/d96/a03402_source.html#l00175">175</a> of file <a class="el" href="../../df/d96/a03402_source.html">expansionsettings.c</a>.</p>

</div>
</div>
<a id="a1123b40e5452576d01e6509e71a95a7b" name="a1123b40e5452576d01e6509e71a95a7b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1123b40e5452576d01e6509e71a95a7b">&#9670;&#160;</a></span>Send()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionSettings::Send </td>
          <td>(</td>
          <td class="paramtype">notnull PlayerIdentity&#160;</td>
          <td class="paramname"><em>identity</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/d96/a03402_source.html#l00116">116</a> of file <a class="el" href="../../df/d96/a03402_source.html">expansionsettings.c</a>.</p>

</div>
</div>
<a id="a619ea8f5d355cfb5af38eddfe60f870d" name="a619ea8f5d355cfb5af38eddfe60f870d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a619ea8f5d355cfb5af38eddfe60f870d">&#9670;&#160;</a></span>ServerInit()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionSettings::ServerInit </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/d96/a03402_source.html#l00027">27</a> of file <a class="el" href="../../df/d96/a03402_source.html">expansionsettings.c</a>.</p>

</div>
</div>
<a id="a0280a4f9feaec09bb75b5b2823a73211" name="a0280a4f9feaec09bb75b5b2823a73211"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0280a4f9feaec09bb75b5b2823a73211">&#9670;&#160;</a></span>Unload()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionSettings::Unload </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/d96/a03402_source.html#l00039">39</a> of file <a class="el" href="../../df/d96/a03402_source.html">expansionsettings.c</a>.</p>

</div>
</div>
<a id="a7061a466f87c7a35a05e12a11979333e" name="a7061a466f87c7a35a05e12a11979333e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7061a466f87c7a35a05e12a11979333e">&#9670;&#160;</a></span>WarnNotLoaded()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private void ExpansionSettings::WarnNotLoaded </td>
          <td>(</td>
          <td class="paramtype">typename type&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/d96/a03402_source.html#l00199">199</a> of file <a class="el" href="../../df/d96/a03402_source.html">expansionsettings.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="a4d5d5e5c3029cf3ee99b2901e42c6f1d" name="a4d5d5e5c3029cf3ee99b2901e42c6f1d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4d5d5e5c3029cf3ee99b2901e42c6f1d">&#9670;&#160;</a></span>m_GameInit</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected bool ExpansionSettings::m_GameInit = false</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/d96/a03402_source.html#l00021">21</a> of file <a class="el" href="../../df/d96/a03402_source.html">expansionsettings.c</a>.</p>

</div>
</div>
<a id="aaea12eaa2e5814caec4df8fb25b8319f" name="aaea12eaa2e5814caec4df8fb25b8319f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaea12eaa2e5814caec4df8fb25b8319f">&#9670;&#160;</a></span>m_Settings</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected ref map&lt;typename, ref <a class="el" href="../../dd/d1b/a02351.html">ExpansionSettingBase</a>&gt; ExpansionSettings::m_Settings = new map&lt;typename, ref <a class="el" href="../../dd/d1b/a02351.html">ExpansionSettingBase</a>&gt;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/d96/a03402_source.html#l00023">23</a> of file <a class="el" href="../../df/d96/a03402_source.html">expansionsettings.c</a>.</p>

</div>
</div>
<a id="a88efd4446696d59e21faf8da993f40e3" name="a88efd4446696d59e21faf8da993f40e3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a88efd4446696d59e21faf8da993f40e3">&#9670;&#160;</a></span>m_SettingsOrdered</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected autoptr array&lt;<a class="el" href="../../dd/d1b/a02351.html">ExpansionSettingBase</a>&gt; ExpansionSettings::m_SettingsOrdered = new array&lt;<a class="el" href="../../dd/d1b/a02351.html">ExpansionSettingBase</a>&gt;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/d96/a03402_source.html#l00024">24</a> of file <a class="el" href="../../df/d96/a03402_source.html">expansionsettings.c</a>.</p>

</div>
</div>
<a id="aeeb350342c7dc5e514d25bb6d13226b5" name="aeeb350342c7dc5e514d25bb6d13226b5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aeeb350342c7dc5e514d25bb6d13226b5">&#9670;&#160;</a></span>m_Warnings</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected ref map&lt;typename, int&gt; ExpansionSettings::m_Warnings = new map&lt;typename, int&gt;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/d96/a03402_source.html#l00025">25</a> of file <a class="el" href="../../df/d96/a03402_source.html">expansionsettings.c</a>.</p>

</div>
</div>
<a id="a135a11395b8cb7102b94e99d92a59850" name="a135a11395b8cb7102b94e99d92a59850"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a135a11395b8cb7102b94e99d92a59850">&#9670;&#160;</a></span>SI_BaseBuilding</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ref ScriptInvoker ExpansionSettings::SI_BaseBuilding = new ScriptInvoker()</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/d58/a03393_source.html#l00015">15</a> of file <a class="el" href="../../d0/d58/a03393_source.html">expansionsettings.c</a>.</p>

</div>
</div>
<a id="a7b1c0169228748e47c494beb0eb2bd81" name="a7b1c0169228748e47c494beb0eb2bd81"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7b1c0169228748e47c494beb0eb2bd81">&#9670;&#160;</a></span>SI_Book</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ref ScriptInvoker ExpansionSettings::SI_Book = new ScriptInvoker()</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/dc2/a03396_source.html#l00015">15</a> of file <a class="el" href="../../d3/dc2/a03396_source.html">expansionsettings.c</a>.</p>

</div>
</div>
<a id="a269a0005757f7ab791bcaac0e46e46e2" name="a269a0005757f7ab791bcaac0e46e46e2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a269a0005757f7ab791bcaac0e46e46e2">&#9670;&#160;</a></span>SI_Chat</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ref ScriptInvoker ExpansionSettings::SI_Chat = new ScriptInvoker()</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/d87/a03399_source.html#l00015">15</a> of file <a class="el" href="../../d0/d87/a03399_source.html">expansionsettings.c</a>.</p>

</div>
</div>
<a id="a8fccdd9e470e77f4212b1bfb2b1e98cb" name="a8fccdd9e470e77f4212b1bfb2b1e98cb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8fccdd9e470e77f4212b1bfb2b1e98cb">&#9670;&#160;</a></span>SI_DamageSystem</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ref ScriptInvoker ExpansionSettings::SI_DamageSystem = new ScriptInvoker()</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/d96/a03402_source.html#l00019">19</a> of file <a class="el" href="../../df/d96/a03402_source.html">expansionsettings.c</a>.</p>

</div>
</div>
<a id="a520fb97a79069f1b78b47a3f4a4662fc" name="a520fb97a79069f1b78b47a3f4a4662fc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a520fb97a79069f1b78b47a3f4a4662fc">&#9670;&#160;</a></span>SI_Debug</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ref ScriptInvoker ExpansionSettings::SI_Debug = new ScriptInvoker()</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/d96/a03402_source.html#l00015">15</a> of file <a class="el" href="../../df/d96/a03402_source.html">expansionsettings.c</a>.</p>

</div>
</div>
<a id="a8be10a4d1adae156b3c70b3d53aadde4" name="a8be10a4d1adae156b3c70b3d53aadde4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8be10a4d1adae156b3c70b3d53aadde4">&#9670;&#160;</a></span>SI_Log</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ref ScriptInvoker ExpansionSettings::SI_Log = new ScriptInvoker()</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/d96/a03402_source.html#l00016">16</a> of file <a class="el" href="../../df/d96/a03402_source.html">expansionsettings.c</a>.</p>

</div>
</div>
<a id="acbdf65f6797e2926ba0078f63c2bd7aa" name="acbdf65f6797e2926ba0078f63c2bd7aa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acbdf65f6797e2926ba0078f63c2bd7aa">&#9670;&#160;</a></span>SI_Notification</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ref ScriptInvoker ExpansionSettings::SI_Notification = new ScriptInvoker()</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/d96/a03402_source.html#l00018">18</a> of file <a class="el" href="../../df/d96/a03402_source.html">expansionsettings.c</a>.</p>

</div>
</div>
<a id="ab94883943c251777558d8a4b71600ad6" name="ab94883943c251777558d8a4b71600ad6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab94883943c251777558d8a4b71600ad6">&#9670;&#160;</a></span>SI_Raid</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ref ScriptInvoker ExpansionSettings::SI_Raid = new ScriptInvoker()</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/d58/a03393_source.html#l00016">16</a> of file <a class="el" href="../../d0/d58/a03393_source.html">expansionsettings.c</a>.</p>

</div>
</div>
<a id="a01732fe9a1004d05bf2f800b795d5264" name="a01732fe9a1004d05bf2f800b795d5264"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a01732fe9a1004d05bf2f800b795d5264">&#9670;&#160;</a></span>SI_SafeZone</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ref ScriptInvoker ExpansionSettings::SI_SafeZone = new ScriptInvoker()</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/d96/a03402_source.html#l00017">17</a> of file <a class="el" href="../../df/d96/a03402_source.html">expansionsettings.c</a>.</p>

</div>
</div>
<a id="a68af41afaace4a3d8ee3474d30d1a1f1" name="a68af41afaace4a3d8ee3474d30d1a1f1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a68af41afaace4a3d8ee3474d30d1a1f1">&#9670;&#160;</a></span>SI_Territory</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ref ScriptInvoker ExpansionSettings::SI_Territory = new ScriptInvoker()</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/d58/a03393_source.html#l00017">17</a> of file <a class="el" href="../../d0/d58/a03393_source.html">expansionsettings.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>DayzExpansion/BaseBuilding/Scripts/3_game/dayzexpansion_basebuilding/settings/<a class="el" href="../../d0/d58/a03393_source.html">expansionsettings.c</a></li>
<li>DayzExpansion/Book/Scripts/3_game/dayzexpansion_book/settings/<a class="el" href="../../d3/dc2/a03396_source.html">expansionsettings.c</a></li>
<li>DayzExpansion/Chat/Scripts/3_game/dayzexpansion_chat/<a class="el" href="../../d0/d87/a03399_source.html">expansionsettings.c</a></li>
<li>DayzExpansion/Core/Scripts/3_game/dayzexpansion_core/settings/<a class="el" href="../../df/d96/a03402_source.html">expansionsettings.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d5/df5/a01375.html">ExpansionSettings</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
